
Core - Bug # 63683

Story # 63720 (Closed): Make class loader more robust against crashes.

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Caching
Created: 2014-12-08 Assigned To: Alexander Opitz
Updated: 2015-01-19 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: ClassLoader: Stalled Lock file if ClassLoader caching fails.
Description

In #61900 we fixed the first part, clearing cache and lock file if an exception is thrown while class cache is build.

Now we need this also for hard errors like fatals, for this we need to register our own shutdown_function like done in AbstractService.

Related issues:
related to Core - Bug # 61900: ClassLoader: Stalled Lock file if ClassLoader ... Resolved 2014-09-26

Associated revisions
Revision a74f8862 - 2015-01-19 18:03 - Alexander Opitz

[TASK] Add shutdown function while class cache build

With shutdown function we can check if PHP is shutdown while
cache generation, so we can remove leftovers from this process.

Resolves: #63683
Releases: master, 6.2
Change-Id: I4038c10c50287ec4cceca1c0e5a73c954f2d8c1d
Reviewed-on: http://review.typo3.org/35167
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 28c3aedc - 2015-01-19 18:04 - Alexander Opitz

[TASK] Add shutdown function while class cache build

With shutdown function we can check if PHP is shutdown while
cache generation, so we can remove leftovers from this process.

Resolves: #63683
Releases: master, 6.2
Change-Id: I4038c10c50287ec4cceca1c0e5a73c954f2d8c1d
Reviewed-on: http://review.typo3.org/36114
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2014-12-08 18:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#2 - 2014-12-09 18:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#3 - 2014-12-09 23:39 - Alexander Opitz
- Parent task set to #63720

#4 - 2014-12-10 00:01 - Alexander Opitz
- Assigned To set to Alexander Opitz

#5 - 2014-12-11 11:29 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#6 - 2014-12-11 11:36 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#7 - 2015-01-07 11:57 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#8 - 2015-01-19 17:49 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35167

#9 - 2015-01-19 18:04 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36114

2015-08-04 2/3

mailto:klein.t3@reelworx.at
http://review.typo3.org/35167
http://review.typo3.org/35167
http://review.typo3.org/35167
http://review.typo3.org/35167
http://review.typo3.org/35167
http://review.typo3.org/35167
http://review.typo3.org/36114


#10 - 2015-01-19 18:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a74f88625b526d9b1c7e81774ed8e183797fe4bf.
